:Evaluate:  BeginPackage["MATLABIO`"]

:Evaluate:	MATLABIOVersion = "$Id: matlabio.tm,v 1.1 2006/08/18 17:05:45 rodgers Exp $"
:Evaluate:	MATLABMatrixNames::usage = "MATLABMatrixNames[\"filename\"] returns a list containing the names of the matrices stored in the MATLAB MAT-file \"filename\"."
:Evaluate:	MATLABReadMatrix::usage = "MATLABReadMatrix[\"filename\", \"matrixname\"] returns the named matrix from the MATLAB MAT-file."
:Evaluate:	MATLABWriteMatrix::usage = "MATLABWriteMatrix[\"filename\", \"matrixname\", mat] writes the Mathematica matrix mat into a MATLAB MAT-file. It writes into the file \"filename\" and calls the matrix \"matrixname\"."
:Evaluate:	MATLABCreateMATFile::usage = "MATLABCreateMATFile[\"filename\"] creates an empty MATLAB MAT-file \"filename\"."
:Evaluate:	MATLABQ::usage = "MATLABQ[x] returns True if x is expressible as a MATLAB matrix."
:Evaluate:	MATLABIO::matlaberr = "MATLAB matrix I/O error; `1`."
:Evaluate:	MATLABWriteMatrix::badform = "Third argument to MATLABWriteMatrix not expressible as a MATLAB array."

:Evaluate:	Begin["`Private`"]

:Evaluate:	MATLABQ[x_]:=VectorQ[x,NumberQ[N[#]]&]||MatrixQ[x,NumberQ[N[#]]&]

:Begin:
:Function:       MATLABMatrixNames
:Pattern:        MATLABMatrixNames[filename_String]
:Arguments:      { filename }
:ArgumentTypes:  { String }
:ReturnType:     Manual
:End:

:Begin:
:Function:       MATLABReadMatrix
:Pattern:        MATLABReadMatrix[filename_String, matrixname_String]
:Arguments:      { filename, matrixname }
:ArgumentTypes:  { String, String }
:ReturnType:     Manual
:End:

:Begin:
:Function:       MATLABWriteMatrix
:Pattern:        MATLABWriteMatrix[filename_String, matrixname_String, mat_?MATLABQ]
:Arguments:      { filename, matrixname, N[mat] }
:ArgumentTypes:  { String, String, Manual }
:ReturnType:     Manual
:End:

:Begin:
:Function:       MATLABCreateMATFile
:Pattern:        MATLABCreateMATFile[filename_String]
:Arguments:      { filename }
:ArgumentTypes:  { String }
:ReturnType:     Manual
:End:

:Evaluate:	MATLABWriteMatrix[x_] := (Message[MATLABWriteMatrix::badform];$Failed)

:Evaluate:	End[]
:Evaluate:  EndPackage[]
